### Function

# Gimp color_set_alpha

unstable since: 3.0

#### Declaration [src]

    void
    gimp_color_set_alpha (
      GeglColor* color,
      gdouble alpha
    )

#### Description [src]

Update the `alpha` channel, and any other component if necessary (e.g. in case of premultiplied channels), without changing the format of `color`.

If `color` has no alpha component, this function is a no-op.

Available since: 3.0

#### Parameters

`color`

  Type: `GeglColor`

  A `GeglColor`

  The data is owned by the caller of the function.

`alpha`

  Type: `gdouble`

  New value for the alpha channel.